This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 204263 - Review Request: geda-symbols - Electronic symbols for gEDA
Review Request: geda-symbols - Electronic symbols for gEDA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
: Reopened
: 177109 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 204598 204605
  Show dependency treegraph
 
Reported: 2006-08-27 18:10 EDT by Chitlesh GOORAH
Modified: 2008-12-22 22:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 19:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)
file lists of geda-symbols (163.82 KB, text/plain)
2006-08-29 08:37 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Chitlesh GOORAH 2006-08-27 18:10:03 EDT
Spec URL: http://chitlesh.googlepages.com/geda-symbols.spec
SRPM URL: http://chitlesh.googlepages.com/geda-symbols-20060123-3.src.rpm
Description: 
This package contains a bunch of symbols of electronic devices
used by gschem, the gEDA project schematic editor.
Comment 1 Chitlesh GOORAH 2006-08-27 18:11:35 EDT
*** Bug 177109 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2006-08-29 08:37:42 EDT
Created attachment 135122 [details]
file lists of geda-symbols

First review.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

  * Timestamps 
    - Well, it seems this package has many text files. So 
    preserving timestamps is very desirable. 
    Try to change "make install" option so that (perhaps) 
    most files can keep timestamps. In xscreensaver case (I maintain
    xscreensaver), I use 

	  make INSTALL="install -p" install

    Check if this package accepts such options, or, if not,
    change Makefile so that install command is used with -p option.

  * File and Directory Ownership

  - %{_datadir}/gEDA/scheme
    %{gedadocdir}/man

    I don't know why these empty directories needs to be 
    included in this package. 

    Usually if other packages install
    some files in these directories, it is the package
    which should own these directories, not this package. However,
    * if you aim to sumbit other packages and
    * the packages install some files in that directories and
    * the packages surely requires this package,
    these directories can be owned by this package.

    Let me know your opinion about these directories.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   okay.

3. Other things I have noticed :


  - Consider if /usr/share/gEDA/docs can be moved
    to usual document files' location, i.e.
    /usr/share/doc/geda-symbols-%{version}

  - I will attach the file entry of geda-symbols rebuilt in
    mock. Please check if all files you want to install in
    this package are correctly packaged.

---------------------
BTW, could you review my package (bug 204461) ? Again, this package
is aimed for Japanese users......
Comment 3 Chitlesh GOORAH 2006-08-29 10:51:00 EDT
(In reply to comment #2)
>     Try to change "make install" option so that (perhaps) 
>     most files can keep timestamps. In xscreensaver case (I maintain
>     xscreensaver), I use 
> 
> 	  make INSTALL="install -p" install
> 
>     Check if this package accepts such options, or, if not,

It accepts "-p" ::)
make INSTALL="install -p" install DESTDIR=%{buildroot}

> 
>   * File and Directory Ownership
> 
>   - %{_datadir}/gEDA/scheme
>     %{gedadocdir}/man
> 
>     I don't know why these empty directories needs to be 
>     included in this package. 

> 3. Other things I have noticed :
> 
> 
>   - Consider if /usr/share/gEDA/docs can be moved
>     to usual document files' location, i.e.
>     /usr/share/doc/geda-symbols-%{version}
> 

Actually geda-gsymbols are required by geda-gschem geda-gsymcheck geda-doc
geda-gattrib geda-gnetlist geda-utils.
And all these are required by geda which is a suite.  (though i haven't YET
included them as Requires in the geda package)

Hence these act as a centralised repository for geda.

>   - I will attach the file entry of geda-symbols rebuilt in
>     mock. Please check if all files you want to install in
>     this package are correctly packaged.

Yes, everything is included :) luckily

Updated:
SPEC: http://chitlesh.googlepages.com/geda-symbols.spec
SRPM: http://chitlesh.googlepages.com/geda-symbols-20060123-4.src.rpm
Comment 4 Mamoru TASAKA 2006-08-29 11:11:33 EDT
(In reply to comment #3)
> Actually geda-gsymbols are required by geda-gschem geda-gsymcheck geda-doc
> geda-gattrib geda-gnetlist geda-utils.
> And all these are required by geda which is a suite.  (though i haven't YET
> included them as Requires in the geda package)
> 
> Hence these act as a centralised repository for geda.
> 

Okay.

Now this package is APPROVED by me.
Comment 5 Mamoru TASAKA 2006-08-29 21:15:39 EDT
Closing as it seems that geda-symbols is released
under FE-5, FE6-devel.
Comment 6 Mamoru TASAKA 2006-08-31 09:20:54 EDT
Well...

A problem of owning the directory %{_datadir}/gEDA/bitmap
between geda-symbols <-> geda-gsymcheck
        geda-symbols <-> geda-gschem .

I reopen this bug to fix directory owning problem.
Comment 7 Chitlesh GOORAH 2006-09-01 19:59:07 EDT
# geda-symbols is the Owner of the following directories
#%dir %{_datadir}/gEDA
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/docs
#%dir %{_datadir}/gEDA/docs/man
#%dir %{_datadir}/gEDA/examples
#%dir %{_datadir}/gEDA/scheme

fixed.
Comment 8 Chitlesh GOORAH 2008-12-21 14:40:52 EST
New Package CVS Request
=======================
Package Name: geda-symbols
Short Description: Electronic symbols for gEDA
Owners: chitlesh
Branches: EL-5
Comment 9 Kevin Fenzi 2008-12-22 22:17:41 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.